Subject: Re: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF and SSH/TLS switches?

From: "Reinaldo Penno (repenno)" <[email-masked]>
Date: Mon, 15 Dec 2014 21:28:42 +0000

I think so. I understand the point the chair(?) made today on the call that more drafts require mode energy but the draft today is very difficult to read.  Moreover, if as we start introducing words like MUST/SHOULD and Netconf/RESTconf have different levels of support then it would be impossible to follow.

Since we are talking about call home draft, I think it is okay for the client to identity the server using IP:port instead of just IP. One of the “strategies” is for the server to use STUN/TURN, grab a IP:port and convey that info to the client.

Thanks,

From: Kent Watsen <[email-masked]<mailto:[email-masked]>>
Date: Monday, December 15, 2014 at 11:52 AM
To: NetConf <[email-masked]<mailto:[email-masked]>>
Subject: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF and SSH/TLS switches?

This issue was discussed in today's virtual interim meeting:

https://github.com/netconf-wg/call-home/issues/6

Essentially, after adding RESTCONF to the call-home draft, it seems that draft might be somewhat difficult to read, with all the NETCONF/RESTCONF and SSH/TLS switches in it.  Does anyone else think so?

Unless there are any objections by 12/19/14, plan is to keep RESTCONF in this draft as is.

Thanks,
Kent

---

From: Andy Bierman <[email-masked]>
Date: Mon, 15 Dec 2014 13:37:44 -0800

On Mon, Dec 15, 2014 at 1:28 PM, Reinaldo Penno (repenno)
<[email-masked]> wrote:
> I think so. I understand the point the chair(?) made today on the call that
> more drafts require mode energy but the draft today is very difficult to
> read.  Moreover, if as we start introducing words like MUST/SHOULD and
> Netconf/RESTconf have different levels of support then it would be
> impossible to follow.

Why can't the text be expanded into 2 sentences where needed,
instead of 2 drafts?  Just use one RFC 2119 keyword per sentence.

Andy

>
> Since we are talking about call home draft, I think it is okay for the
> client to identity the server using IP:port instead of just IP. One of the
> “strategies” is for the server to use STUN/TURN, grab a IP:port and convey
> that info to the client.
>
>
> Thanks,
>
>
>
>
>
> From: Kent Watsen <[email-masked]>
> To: NetConf <[email-masked]>
> Essentially, after adding RESTCONF to the call-home draft, it seems that
> draft might be somewhat difficult to read, with all the NETCONF/RESTCONF and
> SSH/TLS switches in it.  Does anyone else think so?
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: "Reinaldo Penno (repenno)" <[email-masked]>
Date: Mon, 15 Dec 2014 21:46:28 +0000

Hi Andy,

I personally think parsing paragraphs like this one is a bit tricky but if
that is what the WG prefers, fine by me.

"   o  Using this TCP session, the NETCONF/RESTCONF server immediately
      starts either the SSH-server or the TLS-server protocol, depending
      on which port is connected.  The server MUST start the SSH-server
      protocol when port PORT-X is connected or the TLS-server protocol
      when either port PORT-Y or PORT-Z is connected.  The SSH-server
      and TLS-server protocols are described by [RFC4253
<https://tools.ietf.org/html/rfc4253>] and [RFC5246
<https://tools.ietf.org/html/rfc5246>]
      respectively.²

Thanks,

On 12/15/14, 1:37 PM, "Andy Bierman" <[email-masked]> wrote:

>> ³strategies² is for the server to use STUN/TURN, grab a IP:port and
>>convey
>> that info to the client.
>>
>>
>> Thanks,
>>
>>
>>
>>
>>
>> Subject: [Netconf] call-home#6: Too busy with all the NETCONF/RESTCONF
>>and
>> SSH/TLS switches?
>>
>>

---

From: Andy Bierman <[email-masked]>
Date: Mon, 15 Dec 2014 14:21:06 -0800

> <https://tools.ietf.org/html/rfc5246>]

This could be split into 2 separate paragraphs.

Andy

---

From: Kent Watsen <[email-masked]>
Date: Thu, 18 Dec 2014 21:36:17 +0000

So it seems that everyone that has commented on this issue so far agrees
that the current draft is too busy, but have different ideas for how to
proceed.  Is this a correct assessment?  Has anyone else that read the -02
draft provide their thoughts for how to better structure the content?

PS: given the comments received so far, the proposal to use the current
draft will not be automatically accepted tomorrow.  But for those who
haven't commented yet, please provide your comments quickly so we can move
forward with an update as soon as possible.

Thanks,
Kent

On 12/15/14, 5:21 PM, "Andy Bierman" <[email-masked]> wrote:

>>>> Unless there are any objections by 12/19/14, plan is to keep RESTCONF
>>>>in
>>>> this draft as is.
>>>>
>>>> Thanks,
>>>> Kent
>>>>
>>>>